List Payment Contracts
curl --request GET \
--url https://api.orchestrasolutions.com/PaymentContractimport requests
url = "https://api.orchestrasolutions.com/PaymentContract"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.orchestrasolutions.com/PaymentContract', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"templateName": "<string>",
"name": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"maxOccurrences": 123,
"currentOccurrences": 123,
"nextPaymentDate": "2023-11-07T05:31:56Z",
"status": "Active",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"lastExecutedAt": "2023-11-07T05:31:56Z"
}
],
"totalCount": 123,
"pageNumber": 123,
"pageSize": 123,
"totalPages": 123,
"hasNextPage": true,
"hasPreviousPage": true
}[
{
"fieldName": "<string>",
"errors": [
"<string>"
]
}
]Payment Contracts
List Payment Contracts
This method allows you to list all payment contracts with optional pagination and filtering
GET
/
PaymentContract
List Payment Contracts
Scheduled Payments Guide
Complete guide with examples, contract lifecycle and timezone handling
Query Parameters
Optional template ID filter
Optional status filter Status of a payment contract
Available options:
Active, Paused, Cancelled, Completed Page number (1-indexed, default: 1)
Required range:
1 <= x <= 2147483647Page size (default: 20, max: 100)
Required range:
1 <= x <= 100Response
OK
Paginated list response
List of items for current page
Show child attributes
Show child attributes
Total count of items across all pages
Current page number (1-indexed)
Page size
Total number of pages
Whether there is a next page
Whether there is a previous page